/[suikacvs]/test/suikawebwww/style/html/common-class.css
Suika

Contents of /test/suikawebwww/style/html/common-class.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.7 - (hide annotations) (download) (as text)
Mon Mar 14 00:40:15 2005 UTC (21 years, 4 months ago) by wakaba
Branch: MAIN
Changes since 1.6: +29 -1 lines
File MIME type: text/css
New style added

1 wakaba 1.1 @charset 'iso-2022-jp';
2 wakaba 1.3 @namespace H3 'urn:x-suika-fam-cx:markup:ietf:html:3:draft:00:';
3 wakaba 1.1 @namespace 'http://www.w3.org/1999/xhtml';
4 wakaba 1.3 @namespace h2 'http://www.w3.org/2002/06/xhtml2';
5 wakaba 1.1 @namespace xml 'http://www.w3.org/XML/1998/namespace';
6    
7 wakaba 1.3 /* Sections */
8    
9     div.section {
10     display: block;
11     }
12     /* XML Alternate: h2|section */
13    
14 wakaba 1.5 /* Column Sections */
15     .column, .column.example {
16     display: block;
17     margin: 1em auto;
18     border: rgb(85, 79, 160) 2px solid;
19     -moz-border-radius: 3%;
20     padding: 1em;
21     max-width: 80%;
22     }
23    
24    
25     /* Paragraphs */
26     div.para {
27     display: block;
28     text-indent: 1em;
29     margin: 0 1em;
30     text-align: justify;
31     }
32 wakaba 1.7 div.para:lang(en) {
33     text-indent: 2em;
34     }
35 wakaba 1.5 /* XML Alternate: h2|p */
36    
37 wakaba 1.3 /* Figure */
38     .fig {
39     display: block;
40     margin: 1em auto;
41 wakaba 1.5 border: rgb(85, 79, 160) 2px solid;
42     -moz-border-radius: 3%;
43 wakaba 1.3 padding: 0;
44     max-width: 80%;
45     }
46     /* XML Alternate: ???:fig */
47    
48     .fig-body {
49     display: block;
50     margin: 1em;
51     padding: 0;
52     }
53    
54 wakaba 1.7 .fig .credit {
55     display: block;
56     margin-left: 40%;
57     text-align: right;
58     }
59     .fig .credit:before {
60     content: "―― ";
61     }
62    
63     .fig.quote blockquote {
64     margin: 0 1em;
65     border-style: none;
66     padding: 0;
67     }
68    
69 wakaba 1.2 /* Note */
70    
71     .note {
72     margin-top: 1em;
73     margin-bottom: 1em;
74 wakaba 1.3 margin-right: 5em;
75 wakaba 1.2 text-indent: 0;
76 wakaba 1.3 background-color: transparent;
77     color: green;
78 wakaba 1.2 }
79     /* NOTE: Don't use :before since old documents do or do not have
80     text of "Note: " or so on as part of character data. */
81     /* XML Alternate: H3|note */
82    
83 wakaba 1.5 /* .note.memo (= H3|note), .rationale.memo */
84     .memo {
85     display: block;
86     margin: 0.3em 2em;
87     padding: 0;
88     color: green;
89     background-color: transparent;
90     font-style: normal;
91     }
92     .memo > :first-child:before {
93     display: inline;
94     content: "注意: ";
95     font-weight: bolder;
96     }
97     .memo.info > :first-child:before {
98     content: "参考: ";
99     }
100     .rationale.memo > :first-child:before {
101     content: "解説: ";
102     }
103     .memo:lang(en) {
104     /* NOTE: Selector should be "script=Latin" rather than "lang=en"
105     if there would such a selector... */
106     font-style: italic;
107     }
108     .memo:lang(en) > :first-child:before {
109     content: "Note. ";
110     }
111     .rationale:lang(en) > :first-child:before {
112     content: "Rationale. ";
113     }
114 wakaba 1.6 .memo > p:first-child, .memo > .para:first-child {
115 wakaba 1.5 text-indent: -3em;
116     margin-left: 3em;
117     }
118    
119 wakaba 1.3 /* Example */
120    
121 wakaba 1.2 .example {
122     border: 1px solid rgb(153, 153, 153);
123     padding: 0.5em;
124     background-color: rgb(255, 248, 221);
125     color: rgb(102, 0, 0);
126     }
127     .example:before {
128     content: "例: ";
129 wakaba 1.3 font-weight: bolder;
130     font-family: sans-serif;
131 wakaba 1.2 }
132     .example:lang(en):before {
133 wakaba 1.3 content: "Example. ";
134     }
135    
136 wakaba 1.4 /* For compatibility with old documents */
137     pre.example {
138     padding-left: 2em;
139     }
140     pre.example:before {
141     display: block;
142     text-indent: -1em;
143     }
144    
145 wakaba 1.5 .fig.example:before, .column.example:before {
146 wakaba 1.3 content: "";
147     }
148    
149     .example .comment {
150     background-color: transparent;
151     color: green;
152     text-decoration: none;
153     font-family: "MS Mincho", "Times New Roman", serif;
154     }
155    
156     /* Block Captions */
157    
158     .fig .caption {
159     display: block;
160     text-align: center;
161     font-weight: bolder;
162     font-family: sans-serif;
163     }
164     .fig > .caption:lang(en) {
165     font-weight: normal;
166     font-family: serif;
167     font-transform: small-caps;
168     font-style: italic;
169     }
170    
171     .fig > .caption:before {
172 wakaba 1.5 content: "図: ";
173     }
174     .fig > .caption:lang(en):before {
175     content: "Figure. ";
176     }
177     .fig.example > .caption:before {
178 wakaba 1.3 content: "例: ";
179     }
180 wakaba 1.5 .fig.example > .caption:lang(en):before {
181 wakaba 1.2 content: "Example. ";
182     }
183    
184 wakaba 1.3 /* Inline Captions */
185    
186 wakaba 1.6 p .caption, li .caption {
187 wakaba 1.3 font-weight: bolder;
188     font-family: sans-serif;
189     }
190     /* Example: <p class="note"><span class="caption">Note.</span> ...</p> */
191    
192     /* Phrases */
193    
194     code.uri, code.mail {
195     font-size: smaller;
196     font-style: italic;
197     font-family: "Times New Roman", "Times", serif;
198     }
199    
200     h2|code[class~="uri"]:before, h2|code[class~="mail"]:before {
201     content: "<";
202     }
203     h2|code[class~="uri"]:after, h2|code[class~="mail"]:after {
204     content: ">";
205     }
206     /* Note. Some XHTML 1 documents have enclosing "<" and ">" and
207     others does not. */
208    
209     h2|code[class~="file"]:before, h2|code[class~="file"]:after {
210     content: '"';
211     color: graytext;
212     }
213    
214     code.math, code[class~="uri"] {
215     font-family: "Times New Roman", "Times", serif;
216     }
217    
218 wakaba 1.5 .qname-prefix {
219     font-style: italic;
220     font-family: "Times New Roman", "Times", serif;
221     }
222    
223 wakaba 1.7 cite.bibref {
224     vertical-align: super;
225     font-style: normal;
226     font-size: 75%;
227     line-height: 1.1;
228     }
229     cite.bibref:before, cite.bibref:after {
230     content: "";
231     }
232    
233 wakaba 1.2 /* Emphasis */
234    
235     .weak {
236     font-size: 80%;
237     color: GrayText;
238     background-color: transparent;
239     }
240    
241     /* Footer */
242    
243 wakaba 1.3 .footer, *|*[class~="footer"],
244     /* Old styles (discouraged) */
245     #footer, #FOOTER, body > address, body > .update
246     {
247     margin: 2em 0 0 0;
248     border-top: gray 1px solid;
249     padding-top: 10px;
250     }
251    
252     /* Old style footer (discouraged) */
253     body address + .update {
254     margin: 0;
255     border-top: gray 0 none;
256     padding-top: 0;
257     }
258    
259     .update:before, *|*[class~="update"]:before {
260 wakaba 1.2 content: "修正: ";
261     }
262 wakaba 1.3 .update:lang(en):before, *|*[class~="update"]:lang(en):before {
263 wakaba 1.2 content: "Modified: ";
264     }
265    
266     #w3c-html, #w3c-css {
267     float: right;
268     width: 88px;
269     height: 31px;
270     border: none;
271     }
272 wakaba 1.1
273     /* License
274    
275 wakaba 1.3 Copyright 2003-2005 Wakaba <[email protected]>.
276 wakaba 1.1
277     This program is free software; you can redistribute it and/or modify
278     it under the terms of the GNU General Public License as published by
279     the Free Software Foundation; either version 2 of the License, or
280     (at your option) any later version.
281    
282     This program is distributed in the hope that it will be useful,
283     but WITHOUT ANY WARRANTY; without even the implied warranty of
284     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
285     GNU General Public License for more details.
286    
287     You should have received a copy of the GNU General Public License
288     along with this program; see the file COPYING. If not, write to
289     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
290     Boston, MA 02111-1307, USA.
291    
292     */
293    
294 wakaba 1.7 /* $Date: 2005/03/09 08:00:51 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24